TMISPELL(1)

NAME
tmispell - ispell wrapper which uses Voikko for spell-checking

SYNOPSIS
tmispell [-F config_file] [ispell_options] [file ...]

DESCRIPTION
Tmispell is an ispell(1) wrapper which uses Voikko spell-checking system to do the actual spell-checking for Finnish language.

What makes Tmispell very useful is that many programs (e.g. email clients and word processors) use Ispell for spell-checking. Since Tmispell is a transparent wrapper for Ispell, other programs that would normally use Ispell will automatically use Tmispell (and therefore Voikko) without any changes needed. Additionally, Tmispell is able to launch the real Ispell if Tmispell does not support the selected language. It is not necessary to have the real Ispell installed, though. Tmispell works fine without it, but currently Finnish is the only supported language then.

Tmispell can be used from command line exactly like Ispell. If Tmispell is correctly installed, the command “ispell” actually starts Tmispell. It can be used to spell-check any text file(s) given as command line parameter. If a text file is given, Tmispell starts in interactive mode. Press “?” to get help on available commands in interactive mode.

OPTIONS

-F config_file
    Use the configuration file config_file instead of the default /etc/tmispell.conf.

ispell_options
    Tmispell should understand all the options that Ispell does. For more information about Ispell's options, see ispell(1).

FILES

/etc/tmispell.conf
    The default configuration file for Tmispell. For more information, see tmispell.conf(5).

AUTHORS
The original Tmispell was programmed by Pauli Virtanen <pauli.virtanen@hut.fi>.
Modifications and integration with Voikko spell-checking system by Harri Pitkänen <hatapitk@iki.fi>.

SEE ALSO
tmispell.conf(5), ispell(1)

Voikko homepage: http://voikko.sourceforge.net/